My Project: dgHACDClusterGraph::dgHACDConvacityLookAheadTree Class Reference

My Project

Public Member Functions | Public Attributes | List of all members
dgHACDClusterGraph::dgHACDConvacityLookAheadTree Class Reference

## Public Member Functions

| dgHACDConvacityLookAheadTree (dgMemoryAllocator *const allocator, dgEdge *const face, dgFloat64 concavity)
| dgHACDConvacityLookAheadTree (dgMemoryAllocator *const allocator, dgHACDConvacityLookAheadTree *const leftChild, dgHACDConvacityLookAheadTree *const rightChild, dgFloat64 concavity)
| ~dgHACDConvacityLookAheadTree ()
dgInt32 | GetNodesCount () const
void | ReduceByCount (dgInt32 count, dgDownHeap< dgHACDConvacityLookAheadTree *, dgFloat64 > &approximation)
void | ReduceByConcavity (dgFloat64 concavity, dgDownHeap< dgHACDConvacityLookAheadTree *, dgFloat64 > &approximation)

## Public Attributes

dgFloat64 | m_concavity
dgList< dgEdge * > | m_faceList
dgHACDConvacityLookAheadTree * | m_left
dgHACDConvacityLookAheadTree * | m_right

## Constructor & Destructor Documentation

## § dgHACDConvacityLookAheadTree() [1/2]

dgHACDClusterGraph::dgHACDConvacityLookAheadTree::dgHACDConvacityLookAheadTree | ( | dgMemoryAllocator *const | allocator,
|  | dgEdge *const | face,
|  | dgFloat64 | concavity
| ) |  |

inline

## § dgHACDConvacityLookAheadTree() [2/2]

dgHACDClusterGraph::dgHACDConvacityLookAheadTree::dgHACDConvacityLookAheadTree | ( | dgMemoryAllocator *const | allocator,
|  | dgHACDConvacityLookAheadTree *const | leftChild,
|  | dgHACDConvacityLookAheadTree *const | rightChild,
|  | dgFloat64 | concavity
| ) |  |

inline

## § ~dgHACDConvacityLookAheadTree()

dgHACDClusterGraph::dgHACDConvacityLookAheadTree::~dgHACDConvacityLookAheadTree | ( |  | ) |

inline

## Member Function Documentation

## § GetNodesCount()

dgInt32 dgHACDClusterGraph::dgHACDConvacityLookAheadTree::GetNodesCount | ( |  | ) | const

inline

## § ReduceByConcavity()

void dgHACDClusterGraph::dgHACDConvacityLookAheadTree::ReduceByConcavity | ( | dgFloat64 | concavity,
|  | dgDownHeap< dgHACDConvacityLookAheadTree *, dgFloat64 > & | approximation
| ) |  |

inline

## § ReduceByCount()

void dgHACDClusterGraph::dgHACDConvacityLookAheadTree::ReduceByCount | ( | dgInt32 | count,
|  | dgDownHeap< dgHACDConvacityLookAheadTree *, dgFloat64 > & | approximation
| ) |  |

inline

## Member Data Documentation

## § m_concavity

dgFloat64 dgHACDClusterGraph::dgHACDConvacityLookAheadTree::m_concavity

## § m_faceList

dgList<dgEdge*> dgHACDClusterGraph::dgHACDConvacityLookAheadTree::m_faceList

## § m_left

dgHACDConvacityLookAheadTree* dgHACDClusterGraph::dgHACDConvacityLookAheadTree::m_left

## § m_right

dgHACDConvacityLookAheadTree* dgHACDClusterGraph::dgHACDConvacityLookAheadTree::m_right

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/meshUtil/dgMeshEffect3.cpp